VLCKit

Instance Methods | List of all members
<VLCMediaThumbnailerDelegate> Protocol Reference

`#import <VLCMediaThumbnailer.h>`

## Instance Methods
(void) | - mediaThumbnailerDidTimeOut:
(void) | - mediaThumbnailer:didFinishThumbnail:

## Detailed Description

the required delegate protocol for VLCMediaThumbnailer

## Method Documentation

## ◆ mediaThumbnailer:didFinishThumbnail:

- (void) mediaThumbnailer: |  | (VLCMediaThumbnailer *) | mediaThumbnailer
didFinishThumbnail: |  | (CGImageRef) | thumbnail
| required

called when the thumbnailer did successfully created a thumbnail

Parameters

  mediaThumbnailer | the thumbnailer instance that was successful
  thumbnail | the thumbnail that was created

## ◆ mediaThumbnailerDidTimeOut:

- (void) mediaThumbnailerDidTimeOut: |  | (VLCMediaThumbnailer *) | mediaThumbnailer |
| required

called when the thumbnailing process timed-out

Parameters

  mediaThumbnailer | the thumbnailer instance that timed out

Note
  The time-out duration depends on various factors outside your control and will not be the same for different media

The documentation for this protocol was generated from the following file:

- Headers/Public/VLCMediaThumbnailer.h